## Script (Python) "breadcrumbs"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
from string import split, count
path = context.absolute_url(relative=1)

if not path: return

url = context.portal_url(relative=1)
bases = count(url, '/')
steps = split(path, '/')[bases:-1]

crumbs = []

while steps:
    step = steps.pop(0)
    url = '%s/%s' % (url, step)
    crumbs.append({'url': url, 'title': step})

return crumbs
